<?php
    $user = cmsUser::getInstance();

    $this->setPageTitle(LANG_FORUM_NEW_THREADS);
    $this->setPageKeywords(LANG_FORUM_NEW_THREADS);
    $this->setPageDescription(LANG_FORUM_NEW_THREADS);

    $this->addBreadcrumb(LANG_FORUM_FORUMS, href_to('forum'));
    $this->addBreadcrumb(LANG_FORUM_NEW_THREADS);

    if ($user->id){

        $this->addToolButton(array(
            'class' => 'user-small',
            'title' => LANG_FORUM_MY_THREADS,
            'href'  => href_to('forum', 'my_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'activity',
            'title' => LANG_FORUM_MY_POSTS,
            'href'  => href_to('forum', 'my_posts'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

    }

    if ($user->is_admin){
        $this->addToolButton(array(
            'class' => 'settings',
            'title' => LANG_FORUM_SETTINGS,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
        ));
    }

    $last_date = '';
    $today_date = date('j F Y');
    $yesterday_date = date('j F Y', time()-3600*24);
    $is_can_delete = cmsUser::isAllowed('activity', 'delete');
?>

<h1><?php echo LANG_FORUM_NEW_THREADS;?></h1>

<?php if ($items){ ?>

    <div class="activity-list striped-list list-32">
        <?php foreach($items as $item) { ?>

            <?php $item_date = date('j F Y', strtotime($item['date_pub'])); ?>
            <?php if ($item_date != $last_date){ ?>

                <?php
                    switch($item_date){
                        case $today_date: $date = LANG_TODAY; break;
                        case $yesterday_date: $date = LANG_YESTERDAY; break;
                        default: $date = lang_date($item_date);
                    }
                ?>

                <h3><?php echo $date; ?></h3>
                <?php $last_date = $item_date; ?>

            <?php } ?>

            <?php $url = href_to('users', $item['user']['id']); ?>

            <?php $is_new = $user->date_log < $item['date_pub'] ? true : false;?>

            <div class="item<?php echo $is_new ? ' is_new' : '';?>">
                <?php if ($is_can_delete) { ?>
                    <div class="actions">
                        <a class="delete" href="<?php echo $this->href_to('delete', $item['id']); ?>" title="<?php html(LANG_DELETE); ?>"></a>
                    </div>
                <?php } ?>
                <div class="icon">
                    <a href="<?php echo $url; ?>"><?php echo html_avatar_image($item['user']['avatar'], 'micro', $item['user']['nickname']); ?></a>
                </div>
                <div class="title-multiline">
                    <a class="author" href="<?php echo $url; ?>"><?php html($item['user']['nickname']); ?></a>
                    <?php echo $item['description']; ?>
                    <div class="details">
                        <span class="date"><?php echo $item['date_diff']; ?></span>
                    </div>
                </div>
            </div>

        <?php } ?>
    </div>

    <?php if ($perpage < $total) { ?>
        <?php echo html_pagebar($page, $perpage, $total); ?>
    <?php } ?>

<?php } else { echo LANG_LIST_EMPTY; } ?>