<?php
    $user = cmsUser::getInstance();

    $this->setPageTitle(LANG_FORUM_MY_POSTS);
    $this->setPageKeywords(LANG_FORUM_MY_POSTS);
    $this->setPageDescription(LANG_FORUM_MY_POSTS);

    $this->addBreadcrumb(LANG_FORUM_FORUMS, href_to('forum'));
    $this->addBreadcrumb(LANG_FORUM_MY_POSTS);

    if ($user->id){

        $this->addToolButton(array(
            'class' => 'user-small',
            'title' => LANG_FORUM_MY_THREADS,
            'href'  => href_to('forum', 'my_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'threads',
            'title' => LANG_FORUM_NEW_THREADS,
            'href'  => href_to('forum', 'latest_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

    }
    if ($user->is_admin){
        $this->addToolButton(array(
            'class' => 'settings',
            'title' => LANG_FORUM_SETTINGS,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
        ));
    }

    $last_thread_id = false;
    $row = 1;
?>

<h1><?php echo LANG_FORUM_MY_POSTS;?></h1>

<?php if ($posts){?>
<table class="posts_table">

    <?php foreach ($posts as $id => $post){?>

        <?php if ($row % 2){$class = ' odd';} else {$class = '';}?>

        <?php if ($post['thread_id'] !== $last_thread_id){?>
            <tr>

                <td colspan="2" class="posts_table_header">

                    <div class="post_date">

                        <strong>
                            <a href="<?php echo href_to('forum', $post['thread_slug'] . '.html');?>"><?php echo $post['thread_title'];?></a>
                        </strong>

                    </div>

                </td>

            </tr>

            <?php $last_thread_id = $post['thread_id'];?>
        <?php }?>

        <tr class="posts_table_tr<?php echo $class;?>">

            <td class="post_usercell">

                <div>
                    <span class="post_userlink"><?php html($user->nickname);?></span>
                </div>

                <div class="post_userimg">

                    <a href="/users/<?php echo $post['user_id'];?>" title="<?php echo LANG_FORUM_GOTO_PROFILE;?>">
                        <?php echo html_avatar_image($user->avatar, 'small', $user->nickname);?>
                    </a>

                </div>

                <ul class="details">
                    <li><?php echo LANG_FORUM_MESSAGES;?>: <?php echo $user_post_count;?></li>

                    <?php if ($user->city_cache){?>
                        <li><strong><?php echo LANG_CITY;?>:</strong> <?php echo $user->city_cache;?></li>
                    <?php }?>

                    <li><?php if ($online){?><span class="online"><?php echo LANG_ONLINE; ?></span><?php } else {?><span class="offline"><?php echo LANG_FORUM_OFFLINE; ?></span><?php }?></li>

                </ul>
            </td>

            <td class="post_msgcell<?php if ($post['rating'] < 0){?> is_bad<?php }?>">

                <?php if ($show_rating){?>
                    <div class="votes_links">
                        <?php echo $post['rating']; ?>
                    </div>
                <?php }?>
                <div class="post_user_date">
                    <?php echo string_date_format($post['date_pub'], true);?>
                </div>

                <div id="post_content_<?php echo $post['id'];?>" class="post_content">

                    <?php if (!$post['is_hidden']){?>

                        <?php echo $post['content_html'];?>

                    <?php } else {?>

                        <a onclick="icms.forum.viewPost(<?php echo $post['id'];?>); return false;" href="#" class="ajaxlink" title="<?php echo LANG_FORUM_VIEW;?>"><?php echo LANG_FORUM_VIEW;?></a>

                    <?php }?>

                </div>

                <?php if ($post['files'] && $is_can_attach){?>

                    <div id="attached_files_<?php echo $post['id'];?>">

                        <div class="fa_attach" id="fa_attach_<?php echo $post['id'];?>">

                            <div class="fa_attach_title"><?php echo LANG_FORUM_ATTACHED_FILE;?>:</div>

                            <div class="fa_filebox" id="filebox<?php echo $post['files']['id'];?>">

                                <div class="fa_file">

                                    <a class="fa_file_link" href="<?php echo href_to('files', 'download', array($post['files']['id'], $post['files']['url_key']));?>"><?php echo $post['files']['name'];?></a>

                                    <span class="fa_file_desc"> |

                                        <?php echo $post['files']['size'] . ' ' . LANG_KB;?>

                                        <?php if (!empty($post['files']['counter'])){?> | <?php echo LANG_FORUM_ATTACH_DOWNLOADED;?>: <?php echo html_spellcount($post['files']['counter'], LANG_FORUM_COUNT1, LANG_FORUM_COUNT2, LANG_FORUM_COUNT10);?><?php }?>

                                    </span>

                                    <?php if ($user->is_admin || $is_moder || !empty($post['is_mypost'])){?>

                                        <a href="#" title="<?php echo LANG_FORUM_DELETE_FILE;?>" onclick="if(confirm('<?php echo LANG_FORUM_DELETE_FILE;?>')){ icms.forum.deleteFile(<?php echo $post['id'];?>, <?php echo $post['files']['id'];?>); return false; }">
                                            <img src="/templates/default/images/icons/delete.png" />
                                        </a>

                                    <?php }?>

                                </div>

                            </div>

                        </div>

                    </div>

                <?php }?>

                <?php if ($post['count_modified']){?>

                <div class="post_editdate">

                    <?php echo LANG_FORUM_EDITED;?>: <?php echo html_spellcount($post['count_modified'], LANG_FORUM_COUNT1, LANG_FORUM_COUNT2, LANG_FORUM_COUNT10);?> (<?php echo LANG_FORUM_LAST_EDIT;?>: <?php echo html_date_time($post['date_last_modified']);?>)

                </div>

                <?php }?>

                <?php if ($user->forum_sign){?>

                    <div class="post_signature"><?php echo $user->forum_sign;?></div>

                <?php }?>

            </td>

        </tr>

        <?php $row++;?>

    <?php }?>

</table>

<?php echo html_pagebar($page, $perpage, $total);?>
<?php } else {?>
    <div class="empty_posts"><?php echo LANG_FORUM_NOT_POSTS;?></div>
<?php } ?>