<?php
    $user = cmsUser::getInstance();

    $this->setPageTitle(LANG_FORUM_MY_THREADS);
    $this->setPageKeywords(LANG_FORUM_MY_THREADS);
    $this->setPageDescription(LANG_FORUM_MY_THREADS);

    $this->addBreadcrumb(LANG_FORUM_FORUMS, href_to('forum'));
    $this->addBreadcrumb(LANG_FORUM_MY_THREADS);

    if ($user->id){

        $this->addToolButton(array(
            'class' => 'activity',
            'title' => LANG_FORUM_MY_POSTS,
            'href'  => href_to('forum', 'my_posts'),
        ));

        $this->addToolButton(array(
            'class' => 'threads',
            'title' => LANG_FORUM_NEW_THREADS,
            'href'  => href_to('forum', 'latest_threads'),
        ));

        $this->addToolButton(array(
            'class' => 'posts',
            'title' => LANG_FORUM_LATEST_POSTS,
            'href'  => href_to('forum', 'latest_posts'),
        ));

    }
    if ($user->is_admin){
        $this->addToolButton(array(
            'class' => 'settings',
            'title' => LANG_FORUM_SETTINGS,
            'href'  => href_to('admin', 'controllers', array('edit', 'forum')),
        ));
    }
?>

<h1><?php echo LANG_FORUM_MY_THREADS;?></h1>

<table class="threads-list">

    <tr class="threads-list-header">

        <td><?php echo LANG_FORUM_OPTIONS_VIEW;?></td>

    </tr>

    <tr>

        <td class="threads-sorting">

            <form action="" method="get">

                <table>

                    <tr>

                        <td>

                            <label><?php echo LANG_FORUM_THREAD_ORDER;?></label>

                            <select name="order_by">
                                <option value="title"<?php if ($order_by == 'title'){?> selected="selected"<?php }?>><?php echo LANG_TITLE;?></option>
                                <option value="date_pub"<?php if ($order_by == 'date_pub'){?> selected="selected"<?php }?>><?php echo LANG_FORUM_MODIFY_DATE;?></option>
                                <option value="post_count"<?php if ($order_by == 'post_count'){?> selected="selected"<?php }?>><?php echo LANG_FORUM_ANSWER_COUNT;?></option>
                                <option value="hits"<?php if ($order_by == 'hits'){?> selected="selected"<?php }?>><?php echo LANG_FORUM_HITS_COUNT;?></option>
                            </select>

                        </td>

                        <td>

                            <label><?php echo LANG_FORUM_ORDER_TO;?></label>

                            <select name="order_to">
                                <option value="asc"<?php if ($order_to == 'asc'){?> selected="selected"<?php }?>><?php echo LANG_FORUM_ORDER_ASC;?></option>
                                <option value="desc"<?php if ($order_to == 'desc'){?> selected="selected"<?php }?>><?php echo LANG_FORUM_ORDER_DESC;?></option>
                            </select>

                        </td>

                        <td>

                            <label><?php echo LANG_SHOW;?></label>

                            <select name="daysprune">
                                <option value="0"<?php if (!$daysprune){?> selected="selected"<?php }?>><?php echo LANG_FORUM_SHOW_ALL;?></option>
                                <option value="1"<?php if ($daysprune == 1){?> selected="selected"<?php }?>><?php echo LANG_FORUM_SHOW_DAY;?></option>
                                <option value="7"<?php if ($daysprune == 7){?> selected="selected"<?php }?>><?php echo LANG_FORUM_SHOW_W;?></option>
                                <option value="30"<?php if ($daysprune == 30){?> selected="selected"<?php }?>><?php echo LANG_FORUM_SHOW_MONTH;?></option>
                                <option value="365"<?php if ($daysprune == 365){?> selected="selected"<?php }?>><?php echo LANG_FORUM_SHOW_YEAR;?></option>
                            </select>

                        </td>
                    </tr>
                    <tr>

                        <td colspan="3">

                            <input class="button-submit" type="submit" value="<?php echo LANG_FORUM_SHOW_THREADS;?>">

                        </td>

                    </tr>

                </table>

            </form>

        </td>

    </tr>

</table>

<div id="threads-table">

    <table class="threads-list" cellspacing="0">

        <thead class="threads-list-header">

            <tr>

                <th class="header-thread"><?php echo LANG_FORUM_THREADS;?></th>

                <th class="header-stats"><?php echo LANG_FORUM_STATS;?></th>

                <th class="header-last-post"><?php echo LANG_FORUM_LAST_POST;?></th>

            </tr>

        </thead>

        <tbody>

        <?php if (!empty($threads)){?>

            <?php foreach ($threads as $id => $thread){?>

                <?php
                if (!empty($thread['is_new'])){
                    $thread['is_new'] = !in_array('t' . $thread['id'], $threads_read) ? $thread['is_new'] : false;
                }
                ?>
                <tr id="<?php echo $id;?>">

                    <td class="threads-table-links">
                        <div class="thread-icon">
                            <?php if ($thread['is_new'] && !in_array('t' . $thread['id'], $threads_read)){?>
                                <a href="<?php echo href_to('forum', 'newpost', array($thread['id']));?>" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>">
                            <?php } else {?>
                                <a href="<?php echo href_to('forum', 'pfind', array($thread['last_post']['post_id']));?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>">
                            <?php }?>
                            <?php if ($thread['is_pinned']){?>
                                <img alt="<?php echo LANG_FORUM_ATTACHED_THREAD;?>" src="/templates/default/images/forum/pinned.png" title="<?php echo LANG_FORUM_ATTACHED_THREAD;?>" />
                            <?php } elseif ($thread['is_closed']){?>
                                <img alt="<?php echo LANG_FORUM_THREAD_IS_CLOSE;?>" src="/templates/default/images/forum/closed.png" title="<?php echo LANG_FORUM_THREAD_IS_CLOSE;?>" />
                            <?php } elseif ($thread['is_new']){?>
                                    <img alt="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" src="/templates/default/images/forum/new.png" title="<?php echo LANG_FORUM_HAVE_NEW_MESS;?>" />
                            <?php } else {?>
                                <img alt="<?php echo LANG_FORUM_NOT_NEW_MESS;?>" src="/templates/default/images/forum/old.png" title="<?php echo LANG_FORUM_NOT_NEW_MESS;?>" />
                            <?php }?>
                            </a>
                        </div>

                        <div class="thread-link<?php if ($thread['is_new']){?> is_new_thread<?php }?>">
                            <a href="<?php echo href_to('forum', 'tfind', array($thread['id']));?>" rel="<?php echo $thread['id'];?>" title="<?php echo $thread['title'];?>"><?php echo $thread['title'];?></a>
                        </div>
                        <?php if ($user->id){?>
                            <div class="thread-preview"><img src="/templates/default/images/icons/eye.png" alt="<?php echo $thread['title'];?>" rel="<?php echo $thread['id'];?>" /></div>
                            <div id="qtip_<?php echo $thread['id'];?>" style="display:none"></div>
                        <?php }?>

                        <?php if ($thread['description']){?>
                            <div class="thread-desc"><?php echo $thread['description'];?></div>
                        <?php }?>

                        <div class="thread-info">

                            <?php echo LANG_FORUM_THREAD_CREATED;?> <?php echo html_date_time($thread['date_pub']);?>
                        </div>

                    </td>

                    <td class="threads-table-stats">
                        <strong><?php echo LANG_FORUM_HITS;?>:</strong> <?php echo $thread['hits'];?><br/>
                        <strong><?php echo LANG_FORUM_REPLIES;?>:</strong> <?php echo $thread['answers'];?>
                    </td>

                    <td class="threads-table-last-post">

                        <?php if (!empty($thread['last_post'])){?>

                            <div class="post-from-user">
                                <?php echo LANG_FORUM_FROM;?>
                                <a href="<?php echo href_to('users', $thread['last_post']['user_id']);?>" title="<?php echo $thread['last_post']['user_nickname'];?>"><?php echo $thread['last_post']['user_nickname'];?></a>
                                <?php echo string_date_age($thread['last_post']['date_pub'], array('y', 'm', 'd', 'h', 'i'), true);?>
                                <a class="go-last-post" href="<?php echo href_to('forum', 'pfind', array($thread['last_post']['post_id']));?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>">
                                    <img src="/templates/default/images/forum/anchor.png" alt="<?php echo LANG_FORUM_GO_LAST_POST;?>" title="<?php echo LANG_FORUM_GO_LAST_POST;?>" />
                                </a>
                            </div>

                        <?php } else {?>
                            <?php echo LANG_FORUM_NOT_POSTS;?>
                        <?php }?>

                    </td>

                </tr>

            <?php }?>

        <?php } else {?>

            <tr>
                <td colspan="4" class="not_threads">
                    <?php echo LANG_FORUM_NOT_THREADS_IN_FORUM;?>
                </td>
            </tr>

        <?php }?>

        </tbody>
    </table>

    <?php echo html_pagebar($page, $perpage, $total, href_to('forum', 'my_threads'), array('order_by' => $order_by, 'order_to' => $order_to, 'daysprune' => $daysprune));?>

</div>