<?php
    if (!$is_can_add_poll){return;}
    $this->addCSSFromContext('templates/default/css/jquery-ui.css');
    $this->addJSFromContext('templates/default/js/jquery-ui.js');
    $this->addJSFromContext('templates/default/js/i18n/jquery-ui/'.cmsCore::getLanguageName().'.js');
?>

<fieldset id="fset_polls_answers">
    <legend><a onclick="$('#fset_polls_answers_form').toggle();" href="javascript:"><?php echo LANG_FORUM_ATTACH_POLL;?></a></legend>
    <div id="fset_polls_answers_form" style="display: <?php echo !empty($poll['title']) ? 'block' : 'none';?>;">
        <h4><?php echo LANG_FORUM_POLL_PARAMS;?></h4>

        <div class="field" id="f_poll_title">
            <label for="poll_title"><?php echo LANG_FORUM_QUESTION;?></label>
            <?php echo html_input('text', 'poll[title]', (!empty($poll['title']) ? $poll['title'] : false), array('id' => 'poll_title'));?>
        </div>

        <div class="field" id="f_poll_description">
            <label for="poll_description"><?php echo LANG_FORUM_COMMENT_FOR_POLL;?></label>
            <?php echo html_input('text', 'poll[description]', (!empty($poll['description']) ? $poll['description'] : false), array('id' => 'poll_description'));?>
        </div>

        <div class="field" id="f_poll_days">
            <label for="poll_days"><?php echo LANG_FORUM_LENGTH_POLL;?></label>
            <?php echo html_datepicker('poll[options][days]', (!empty($poll['options']['days']) ? $poll['options']['days'] : false), array('id' => 'poll_days'));?>
        </div>

        <div class="field" id="f_poll_result">
            <label for="poll_result"><?php echo LANG_FORUM_SHOW_RESULT;?></label>
            <?php echo html_select('poll[options][result]', array(
                        '0' => LANG_FORUM_FOR_ALL_EVER,
                        '1' => LANG_FORUM_ONLY_VOTERS,
                        '2' => LANG_FORUM_ONLY_END_POLL
                    ), (!empty($poll['options']['result']) ? $poll['options']['result'] : 0), array('id' => 'poll_result'));?>
        </div>

        <div class="field" id="f_poll_change">
            <label for="poll_change"><?php echo LANG_FORUM_CHANGE_VOTE_USER;?></label>
            <?php echo html_select('poll[options][change]', array(
                        '0' => LANG_FORUM_PROHIBITING,
                        '1' => LANG_FORUM_ALLOWING
                    ), (!empty($poll['options']['change']) ? $poll['options']['change'] : 0), array('id' => 'poll_change'));?>
        </div>
        <?php if (!empty($poll['voters'])){?>
            <?php echo html_input('hidden', 'poll[options][multi_answer]', (!empty($poll['options']['multi_answer']) ? 1 : 0));?>
        <?php } else {?>
            <div class="field" id="f_poll_multi_answer">
                <label for="multi_answer">
                    <?php echo html_checkbox('poll[options][multi_answer]', (!empty($poll['options']['multi_answer']) ? true : false), 1, array('id' => 'multi_answer'));?>
                    <?php echo LANG_FORUM_POLL_MULTI_ANSWER;?>
                </label>
            </div>
        <?php }?>

        <div class="field" id="f_poll_answers_is_pub">
            <label for="answers_is_pub">
                <?php echo html_checkbox('poll[options][answers_is_pub]', (!empty($poll['options']['answers_is_pub']) ? true : false), 1, array('id' => 'answers_is_pub'));?>
                <?php echo LANG_FORUM_POLL_ANSWERS_IS_PUB;?>
            </label>
        </div>

        <h4><?php echo LANG_FORUM_OPTIONS_ANSWER;?></h4>

        <?php for ($foo = 1; $foo <= 12; $foo++){?>

            <?php if ($foo < 4 || !empty($poll['answers'][$foo])){ $style = "display:block"; } else { $style = "display:none"; }?>
            <div id="pa_entry<?php echo $foo;?>" class="field" style="<?php echo $style;?>">
                <label for="pa_entry_input<?php echo $foo;?>"><?php echo LANG_FORUM_OPTION;?> №<?php echo $foo;?></label>
                <?php echo html_input('text', 'poll[answers][' . $foo . ']', (!empty($poll['answers'][$foo]) ? $poll['answers'][$foo] : false), array('id' => 'pa_entry_input' . $foo));?>

                <div id="pa_entry_btn<?php echo $foo;?>" class="poll-answer-actions" style="display: <?php echo $foo > (count($poll['answers']) > 2 ? count($poll['answers']) - 1 : 2) ? 'block' : 'none';?>;">
                <?php if ($foo < 12){?>
                <a href="javascript:showPaEntry(<?php echo $foo+1;?>);" title="<?php echo LANG_FORUM_ADD_OPTION;?>"><img src="/templates/default/images/icons/add.png" /></a>
                <?php }?>
                <?php if ($foo > 2){?>
                <a href="javascript:hidePaEntry(<?php echo $foo;?>);" title="<?php echo LANG_FORUM_HIDE_OPTION;?>"><img src="/templates/default/images/icons/delete.png" /></a>
                <?php }?>
                </div>
            </div>
        <?php }?>

        <script type="text/javascript">
            function showPaEntry(id){
                $('#pa_entry'+id).fadeIn();
                $('#pa_entry_btn'+(id - 1)).hide();
                $('#pa_entry_input'+id).focus();
            }
            function hidePaEntry(id){
                $('#pa_entry'+id).hide();
                $('#pa_entry_btn'+(id - 1)).fadeIn();
                $('#pa_entry_input'+(id - 1)).focus();
                $('input#pa_entry_input'+id).val('');
            }
        </script>
    </div>
</fieldset>