<?php
$model = cmsCore::getModel('users');
$content = cmsCore::getModel('content');
$this->addcss('templates/default/controllers/guestbook/style.css');
$this->setPageTitle(LANG_GUESTBOOK_CONTROLLER . ' - ' . $items['title']);
$this->addBreadcrumb(LANG_GUESTBOOK_CONTROLLER, href_to('guestbook'));
$this->addBreadcrumb($items['title'], href_to_current());
$user = cmsUser::getInstance();
if (!$items['on_off'] && $is_moderator) {
    $this->addToolButton(array(
        'class' => 'accept',
        'title' => LANG_MODERATION_APPROVE,
        'href' => href_to('guestbook', 'approve', $items['id'])
    ));
}
$replay = $user->isInGroups($options['groups_user']);
$this->setMeta($options['seo_keys'], html_strip($items['title'], 200));
?>
<h1><?php echo html(LANG_GUESTBOOK_CONTROLLER) ?></h1>
<?php if ($items) { 
 $is_moderator = $user->is_admin || $content->userIsContentTypeModerator('guestbook', $user->id) || $user->email == $items['email'];
    if ($items['user_id']) {
        $users = $model->getUser($items['user_id']);
    } else {
        $users['avatar'] = null;
    }
    ?>
    <div class="dg-content">
        <div class="avatar">
            <?php if (isset($items['user_id'])) { ?>
                <a href="<?php echo href_to('users', $items['user_id']); ?>">
                    <?php echo html_avatar_image($users['avatar'], 'micro'); ?>
                </a> <?php } else { ?>
                <?php
                echo html_avatar_image($users['avatar'], 'micro');
            }
            ?>
        </div>
        <div class="mes-title">
            <div class="user-date"><?php Html($items['nick_name']); ?> <?php html($items['date']); ?> 
                <?php if ($is_moderator) { ?>   
                    <div class="mod-menu-a" >
                        <div class="mod-menu" > 
                            <a class="delete" href="<?php Html(href_to('guestbook', 'delete', $items['id'])) ?>"><?php Html(LANG_DELETE) ?></a>
                            <a class="edit" href="<?php Html(href_to('guestbook', 'edit', $items['id'])) ?>"><?php Html(LANG_EDIT) ?></a>
                        </div>
                    </div>
                <?php } ?>


            </div>  
        </div>
        <div class="mes">
            <a class="" href="<?php Html(href_to('guestbook', 'viwe', $items['id'])) ?>"><?php HTMl($items['title']); ?></a>
            <div class="gb-text">
                <?php echo($items['text']); ?> 
            </div>
        </div>
        <?php if ($is_moderator or $replay) { ?>  
            <a class="repley" href="<?php Html(href_to('guestbook', 'repley', $items['id'])) ?>"><?php Html(LANG_GUESTBOOK_REPLEY_TO) ?></a>
        <?php } ?>
        <?php if (!$items['on_off']) { ?>
            <div class="content_moderator_info">
                <?php echo LANG_CONTENT_NOT_APPROVED; ?>
            </div>
        <?php } ?>
        <?php
        if (isset($items['rp_id'])) {
            foreach ($items['rp_id'] as $ite) {
                ?>
                <div class="rep">
                    <div class="user-date">      <?php
                        Html($ite['nick_name']);
                        echo ' ';
                        ?>
                        <?php html($ite['date']); ?>  </div>
                    <?php Html(LANG_GUESTBOOK_REPLEY_GO)
                    ?>:
                        <?php if ($is_moderator) { ?>
                        <div class="mod-menu-a" >
                            <div class="mod-menu" > 
                                <a class="delete" href="<?php Html(href_to('guestbook', 'delete', $ite['id'])) ?>"><?php Html(LANG_DELETE) ?></a>
                                <a class="edit" href="<?php Html(href_to('guestbook', 'repley_edit', $ite['id'])) ?>"><?php Html(LANG_EDIT) ?></a>
                            </div><?php } ?> </div>
                    <div class="gb-text"><?php echo($ite['text']); ?>  </div>

                </div>
                <?php
            }
        }
        ?>

    </div>
    <?php
} else {
    echo LANG_LIST_EMPTY;
}?>