<?php
$model = cmsCore::getModel('users');
$this->addcss('templates/default/controllers/guestbook/style.css');
$this->setPageTitle(LANG_GUESTBOOK_CONTROLLER);
$this->addBreadcrumb(LANG_GUESTBOOK_CONTROLLER, href_to_current());
$user = cmsUser::getInstance();

if ($options['is_ds_toolbar'] == 1) {
    $this->addToolButton(array(
        'class' => 'add',
        'title' => LANG_GUESTBOOK_ADD_MESSAGE,
        'href' => href_to('guestbook', 'add')
    ));
}
$this->setMeta($options['seo_keys'], $options['seo_desc']);
$replay = $user->isInGroups($options['groups_user']);
$content = cmsCore::getModel('content');
$is_moderator = $user->is_admin || $content->userIsContentTypeModerator('guestbook', $user->id);
?>
<h1><?php echo html(LANG_GUESTBOOK_CONTROLLER) ?>
    <?php if ($options['is_ds_bottom'] == 1) { ?>
        <a class="bottom" href="<?php echo href_to('guestbook', 'add') ?>"> <?php echo LANG_GUESTBOOK_ADD_MESSAGE ?></a>
    <?php } ?>
</h1>
<?php if ($is_moderator) { ?>
    <div style="text-align: left; padding: 5px;"> 
        <a href="<?php Html(href_to('guestbook', 'moderators')) ?>"><?php Html(LANG_GUESTBOOK_MODER . '(' . $modr_count . ')') ?> </a>
    </div>  
<?php } ?>
<?php
if ($items) {
    foreach ($items as $item) {
        $is_moderator = $user->is_admin || $content->userIsContentTypeModerator('guestbook', $user->id) || $user->email == $item['email'];
        if ($item['user_id']) {
            $users = $model->getUser($item['user_id']);
        } else {
            $users['avatar'] = null;
        }
        ?>
        <div class="dg-content">
            <div class="avatar">
                <?php if ($item['user_id']) { ?>
                    <a href="<?php echo href_to('users', $item['user_id']); ?>">

                        <?php echo html_avatar_image($users['avatar'], 'micro'); ?>
                    </a> 
                <?php } else { ?>
                    <?php
                    echo html_avatar_image($users['avatar'], 'micro');
                }
                ?>
            </div>
            <div class="mes-title">
                <div class="user-date"><?php Html($item['nick_name']); ?> <?php html($item['date']); ?> 
                    <?php if ($is_moderator) { ?>  
                        <div class="mod-menu-a" >
                            <div class="mod-menu" > 
                                <?php if ($is_moderator) { ?>   
                                    <a class="delete" href="<?php Html(href_to('guestbook', 'delete', $item['id'])) ?>"><?php Html(LANG_DELETE) ?></a>
                                    <a class="edit" href="<?php Html(href_to('guestbook', 'edit', $item['id'])) ?>"><?php Html(LANG_EDIT) ?></a>
                                <?php } ?>
                            </div>
                        </div> 
                    <?php } ?>
                </div>  
            </div>
            <div class="mes">
                <a class="" href="<?php Html(href_to('guestbook', 'viwe', $item['id'])) ?>"><?php HTMl($item['title']); ?></a>
                <div class="gb-text">
                    <?php echo(html_strip($item['text'], $options['max_len_item_viwe'])); ?> 
                </div>

            </div>
                <?php if ($is_moderator or $replay) { ?>  
            <div style="margin-bottom: 10px;">
                        <a class="repley" href="<?php Html(href_to('guestbook', 'repley', $item['id'])) ?>"><?php Html(LANG_GUESTBOOK_REPLEY_TO) ?></a>  
                    </div>
                <?php } ?>
            <?php
            if (isset($item['rp_id'])) {
                foreach ($item['rp_id'] as $ite) {
                    ?>
                    <div class="rep">
                        <div class="user-date">      <?php
                            Html($ite['nick_name']);
                            echo ' ';
                            ?>
                            <?php html($ite['date']); ?>  
                            <?php if ($is_moderator) { ?>
                                <div class="mod-menu-a" >
                                    <div class="mod-menu"style="margin-right: 60px"> 
                                        <a class="delete" href="<?php Html(href_to('guestbook', 'delete', $ite['id'])) ?>"><?php Html(LANG_DELETE) ?></a>
                                        <a class="edit" href="<?php Html(href_to('guestbook', 'repley_edit', $ite['id'])) ?>"><?php Html(LANG_EDIT) ?></a>
                                    </div>
                                </div>
                            <?php } ?>  
                        </div>
                        <?php Html(LANG_GUESTBOOK_REPLEY_GO) ?>:
                        <div class="gb-text">
                            <?php echo(html_strip($ite['text'], $options['max_len_item_viwe'])); ?>  
                        </div>
                    </div>
                    <?php
                }
            }
            ?>
            
        </div>  
        <?php
    }
    if ($perpage < $total) {
        echo html_pagebar($page, $perpage, $total);
    }
} else {
    echo LANG_LIST_EMPTY;
}?>